
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>汇编教程之进程 / iVAN</title>

    <meta name="description" content="汇编教程之进程 本课中我们将学习:什么是进程?如何产生和终止一个进程? 初步知识: 进程是什么?下面是我从WIN32 API指南中节选的解释: &quot;一个进程是一个正在执行的应用程序,它包含有:私有的虚拟地址空间.代码.数据和其它的操作系统资源,譬如进程可以存取的管道.文件和同步对象等等.&quot; 从上面的定义中您可以看到,一个进程拥有几个对象:地址空间.执行模块和其它该执行程序打开或创建的任何对象或资源.至少,一个进程必须包含可执行模块.私有的地址空间和一个以上的线程.什么是线程呢?一个线程实际上是 ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">汇编教程之进程</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>本课中我们将学习：什么是进程？如何产生和终止一个进程？</p>
<p>初步知识：</p>
<p>进程是什么？下面是我从WIN32 API指南中节选的解释：</p>
<p>“一个进程是一个正在执行的应用程序，它包含有：私有的虚拟地址空间、代码、数据和其它的操作系统资源，譬如进程可以存取的管道、文件和同步对象等等。”</p>
<p>从上面的定义中您可以看到，一个进程拥有几个对象：地址空间、执行模块和其它该执行程序打开或创建的任何对象或资源。至少，一个进程必须包含可执行模块、私有的地址空间和一个以上的线程。什么是线程呢？一个线程实际上是一个执行单元。当WINDOWS产生一个进程时，它自动为该进程产生一个主线程。该线程通常从模块的第一条指令处开始执行。如果进程需要更多的线程，它可以随后显式地产生。</p>
<p>当WINDWOS 接收到产生进程的消息时，它会为进程生成私有内存地址空间，接着把可执行文件映射到该空间。在WIN32下为进程产生了主进程后，您还可以调用函数CreateProcess来为您的进程产生更多的线程。</p>
<p>CreateProcess的原型如下：</p>
<p><code>CreateProcess proto lpApplicationName:DWORD,\<br />lpCommandLine:DWORD,\<br />lpProcessAttributes:DWORD,\<br />lpThreadAttributes:DWORD,\<br />bInheritHandles:DWORD,\<br />dwCreationFlags:DWORD,\<br />lpEnvironment:DWORD,\<br />lpCurrentDirectory:DWORD,\<br />lpStartupInfo:DWORD,\<br />lpProcessInformation:DWORD </code></p>
<p>不要被这么多的参数吓倒，其实您可以忽略其中的大多数的参数（让它们有缺省值）。</p>
<p>lpApplicationName --&gt; 可执行文件的名称（含或不含路径）。如果该参数为NULL，那必须在参数lpCommandLine中传递文件名称。</p>
<p>lpCommandLine --&gt; 传递给欲执行的文件的命令行参数。如果lpApplicationName为NULL，那必须在该参数中指定，譬如："notepad.exe readme.txt" 。</p>
<p>lpProcessAttributes 和 lpthreadAttributes --&gt; 指定进程和主线程的安全属性。您可以把它们都设成为NULL，这样就设置了缺省的安全属性。</p>
<p>bInheritHandles --&gt; 标志位。用来设置新进程是否继承创建进程所有的打开句柄。</p>
<p>dwCreationFlags --&gt; 有几个标志可以在此处设置以决定欲创建进程的行为，譬如：您可能想创建进程后并不想让它立刻运行，这样在它真正运行前可以作一些检查和修改工作。您还可以在此处设置新进程中的所有线程的优先级，通常我们把它设置为NORMAL_PRIORITY_CLASS。</p>
<p>lpEnvironment --&gt; 指向环境块的指针，一般地环境块包含几个环境字符串。如果该参数为NULL，那么新进程继承创建进程的环境块。</p>
<p>lpCurrentDirectory --&gt; 指向当前目录以及为子进程设置的“当前目录”的路径。如果为NULL， 则继承创建进程的“当前目录”路径。</p>
<p>lpStartupInfo --&gt; 指向新进程的启动结构体STARTUPINFO的指针。STARTUPINFO告诉WINDOWS如何显示新进程的外观。该参数有许多的成员变量，如果您不想新进程有什么的特别之处，可以调用GetStartupInfo函数来用创建进程的启动参数来填充STARTUPINFO结构体变量。</p>
<p>lpProcessInformation --&gt; 指向结构体PROCESS_INFORMATION的指针，该结构体变量包含了一些标识该进程唯一性的一些成员变量：</p>
<p><code>PROCESS_INFORMATION STRUCT<br />hProcess HANDLE ? ; handle to the child process<br />hThread HANDLE ? ; handle to the primary thread of the child process<br />dwProcessId DWORD ? ; ID of the child process<br />dwThreadId DWORD ? ; ID of the primary thread of the child process<br />PROCESS_INFORMATION ENDS</code></p>
<p>进程句柄和进程ID是两个不同的概念。进程ID好似一个唯一值，而进程句柄是调用相关的WINDOWS API 后得到的一个返回值。不能用进程句柄来标识一个进程的唯一性，因为这个值并不唯一。在调用CreateProcess产生新进程后，该进程就被创建，而且CerateProcess函数立即返回。您可以调用函数GetExitCodeProcess来检验进程是否结束。该函数的原型如下：</p>
<p>GetExitCodeProcess proto hProcess:DWORD, lpExitCode:DWORD</p>
<p>如果调用成功，lpExitCode中包含了所查询进程的状态码。如果等于STILL_ACTIVE就表明该进程依旧存在。 您可以调用函数TerminateProcess来强制终止一个进程。该函数的原型如下：</p>
<p>TerminateProcess proto hProcess:DWORD, uExitCode:DWORD</p>
<p>您可以指定任意一个退出值。用该函数结束一个进程并不好，因为该进程加载的动态连接库并不会得到进程正退出的消息。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-03 13:39:12</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e4%b8%80%e4%b8%aa/" title="一个">一个</a>, <a href="https://www.iamivan.net/tag/%e5%87%bd%e6%95%b0/" title="函数">函数</a>, <a href="https://www.iamivan.net/tag/%e8%bf%9b%e7%a8%8b/" title="进程">进程</a>, <a href="https://www.iamivan.net/tag/%e5%8f%82%e6%95%b0/" title="参数">参数</a>, <a href="https://www.iamivan.net/tag/%e7%ba%bf%e7%a8%8b/" title="线程">线程</a>, <a href="https://www.iamivan.net/tag/dword/" title="DWORD">DWORD</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>汇编教程之进程的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M0PxYAM.html" rel="bookmark">汇编教程：虚拟设备驱动程序结构</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				现在大家对vmm和vxd有了一定的了解,接下来我们来看一看如何编写vxd代码.首先,你必须具备Windows 95/98 Device Driver Development Kit.Window95 ddk只有MSDN 订户才能拿到,但Windows98 ddk却可以免费从Microsoft公司取得.尽管Windows 98 ddk是面向WDM的,但你还是可以用它来开发VxD程序.你可以从 http://www.microsoft.com/hwdev/ddk/install98ddk.htm?下			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/baloEJz.html" rel="bookmark">汇编教程：连接数据源</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本教程中,我们将学习使用ODBC APIs的细节. 因为我们的程序并不与ODBC驱动程序直接通信,而是通过ODBC管理器来定义一系列APIs供你的程序调用以完成工作,所以我们需要包含odbc32.inc和odbc32.lib文件,当然还有windows.inc. 连接数据源需要以下几步: 分配一个环境句柄(environment handle). 在进行每个ODBC任务(session)时仅需这样做一次.一旦获得了句柄,我们就可修改环境属性来适合我们的需要.你可以把这想象为在DB工作中创建一个w			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M91kvKM.html" rel="bookmark">汇编教程：Win32调试API&lpar;1&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在本教程中,我们将学习Win32提供给开发者的用于调试的原语. 在教程的结尾,我们将学习如何调试一个进程. 理论: Win32有一些供程序员使用的API,它们提供相当于调试器的功能. 他们被称作Win32调试API(或原语).利用这些API,我们可以: 加载一个程序或捆绑到一个正在运行的程序上以供调试 获得被调试的程序的低层信息,例如进程ID,进入地址,映像基址等. 当发生与调试有关的事件时被通知,例如进程/线程的开始/结束, DLL的加载/释放等. 修改被调试的进程或线程 简而言之,我们可以用			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Myr4gJp.html" rel="bookmark">汇编教程之多线程编程</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本课中,我们将学习如何进行多线程编程.另外我们还将学习如何在不同的线程间进行通信. 理论: 前一课中,我们学习了进程,其中讲到每一个进程至少要有一个主线程.这个线程其实是进程执行的一条线索,除此主线程外您还可以给进程增加其它的线程,也即增加其它的执行线索,由此在某种程度上可以看成是给一个应用程序增加了多任务功能.当程序运行后,您可以根据各种条件挂起或运行这些线程,尤其在多CPU的环境中,这些线程是并发运行的.这些是在W32下才有的概念,在WIN16下并没有等同的概念. 在同一进程中运行不同的线程			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z4wyYLp.html" rel="bookmark">汇编教程：控制转移&lpar;2&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				2.关于实例三的说明 有些步骤的实现方法已在前面的实例中做过介绍,下面就任务内无特权级变换的转移和使用局部描述符LDT等作些说明: (1)实模式下初始化LDT 演示任务使用了局部描述符表LDT,本实例中该LDT在实模式下初始化(当然,也可以在使用LDT前的保护模式初始化).为了简便,LDT中各描述符的界限和属性值在定义时预置,利用一个子程序设置各段的段基地址.为方便起见,在定义时把各段的段值安排在相应描述符的段基地址低16位字段中.由于实例中各段在实模式下定位(这是因为程序是从实模式下启动执行的			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MAa2QAM.html" rel="bookmark">汇编教程：客户寄存器结构</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				我们将学习本教程中另外一个重要的结构,叫客户寄存器结构.在本文中,V86指虚拟8086模式.在这里下载例子程序 理论 VxDs与正常的win32/win16/DOS应用程序有很大不同.大多数情况下,当其他应用程序正常工作时,它们是休眠的.它们象一个监管者一样工作,其作用是监视ring-3应用程序并在其出错时改正它们.下面是其工作时的典型的情况: 1.中断发生时 2.VMM得到控制权时 3.VMM存贮寄存器组的值时 4.VMM服务于中断或调用其他VxDs完成此工作时 5.VMM交还控制权给被中断的			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M1R39op.html" rel="bookmark">汇编教程：ODBC基础</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				这是使用 win32asm进行数据库编程系列的第一份教程.在如今的IT界,数据库编程变的越来越重要,所以我们不能再忽视它.但如今有很多种数据库在使用,如果我们为了实现win32下数据库汇编语言编程而学习各种数据库文件格式,所花时间大概称得上&quot;永恒&quot;. 幸运的是,Microsoft的一项技术使得我们得以摆脱这个大麻烦.它被称为ODBC,是开放式数据库互连(Open Database Connectivity)的缩写,这是一族API,与Windows API相似.它主要与数据库打交道.就是			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zVnWXlz.html" rel="bookmark">汇编教程：多文档界面&lpar;MDI&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本教程告诉你怎样创建MDI应用程序.事实上并不是很困难. 理论: 多文档界面(MDI)是同一时刻处理多个文档的应用程序的一个规范. 你很熟悉记事本.它是单文档界面(SDI)的一个例子.记事本在一个时候只能处理一个文档.假如你希望打开另一个文档,你首先必须关闭你前面打开的那一个.你可以想象这有多麻烦. 和Microsoft Word相比:Word可以随心所欲的在同一时刻打开任意多个文档,而且可以让用户选择使用哪一个文档.Microsoft Word 是多文档界面(MDI)的一个例子. MDI应用程			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M623qOM.html" rel="bookmark">汇编教程：Win32调试API&lpar;3&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在本章中,我们将继续探讨win32调试api.特别地,我们将学习如何去跟踪被调试程序. 理论: 如果你以前使用过调试器,那么你应对跟踪比较熟悉.当&quot;跟踪&quot;一个程序时,程序在每执行一条指令后将会停止,这使你有机会去检查寄存器/内存中的值.这种单步运行的官方定义为跟踪(tracing). 单步运行的特色是由CPU本身提供的.标志寄存器的第8位称为陷阱标志trap flag.如果该位设置,则CPU运行于单步模式.CPU将在每条指令后产生一个debug异常.当debug 异常产生后,陷阱标志自			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7kAw5z.html" rel="bookmark" class="title">《FilthyRichClients》读书笔记&lpar;一&rpar;-SwingのEDT</a>
					<div>
						&lt;FilthyRichClients&gt;读完了前几个章节,现将我的体会结合工作以来从事Swing桌面开发的经验,对本书的一些重要概念进行一次分析,对书中的一些遗漏与模糊的地方及时补充,同时使 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnx5ojb.html" rel="bookmark" class="title">WPS Office 2012在线素材介绍</a>
					<div>
						文档要做得专业,往往需要加入很多素材,导入一份好的素材,能够产生事半功倍.立竿见影的效果.素材对于文档的重要,不亚于好的建筑材料对于整体建筑.WPS Office 2012全新的在线素材提供了新分类. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/badWW2z.html" rel="bookmark" class="title">数据平台的具体含义和其他的区别</a>
					<div>
						问题描述 数据平台的具体含义和其他的区别 各位大侠请问数据平台具体是指什么?和数据交换平台和数据共享平台一样吗?谢谢!					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6eXYXb.html" rel="bookmark" class="title">Android用户注册界面简单设计&lowbar;Android</a>
					<div>
						本文实例为大家分享了Android用户注册界面的设计,供大家参考,具体内容如下 I. 实例目标 设计一个用户注册界面,在其中要使用到一些基础控件,如 文本框.编辑框.按钮.复选框等控件 II. 技术分 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5NVZAz.html" rel="bookmark" class="title">布局-一个CSS调整文字位置的问题&comma;如图所示</a>
					<div>
						问题描述 一个CSS调整文字位置的问题,如图所示 下面这张图的布局很别扭 如何调整下图这样 &lt;s:if test=&quot;userName!=null&quot;&gt; &lt;a hre ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2PwBop.html" rel="bookmark" class="title">visual studio-vs 202 编译通过，vs2015卡住无法通过，无法解析的外部符号 &lowbar;&lowbar;vsnwprintf&lowbar;s，</a>
					<div>
						问题描述 vs 202 编译通过,vs2015卡住无法通过,无法解析的外部符号 __vsnwprintf_s, 1&gt;------ 已启动生成: 项目: XuglassForm, 配置: Debu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvrEq9M.html" rel="bookmark" class="title">我的Android进阶之旅------&amp;amp&semi;gt&semi;WindowManager&period;LayoutParams介绍</a>
					<div>
						本文转载于: http://hubingforever.blog.163.com/blog/static/171040579201175111031938/ 本文参照自: http://develop ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze6axOb.html" rel="bookmark" class="title">哪种算法可以分析药物的效果？急求啊</a>
					<div>
						问题描述 哪种算法可以分析药物的效果?急求啊 病历号 住院次数 姓名 性别 性别代码 年龄 支付方式名称 住院天数 入院来源 入院日期 出院日期 出院病区代码 出院病区名称 转归情况 手术编码 手术名 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgV0vEb.html" rel="bookmark" class="title">WPF中xaml与xml交换数据时设计器中有数据，但运行后没有，为什么额？</a>
					<div>
						问题描述 WPF中xaml与xml交换数据时设计器中有数据,但运行后没有,为什么额? 4C 在项目中创建了一个新的窗口叫window1然后在母窗口的cs文件中设置button按钮点击事件: windo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2Prx3p.html" rel="bookmark" class="title">hadoop实现自定义的数据类型</a>
					<div>
						hadoop实现自定义的http://www.aliyun.com/zixun/aggregation/18278.html&quot;&gt;数据类型 博客分类: hadoop hadoopmrun ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pm6DODz.html" rel="bookmark" class="title">检测屏幕颜色显示坏点的一个小方法。</a>
					<div>
						文章来源:http://bbs.50bang.com/read.php?tid=23543 通过 debug 检测屏幕颜色显示坏点.低格硬盘等等技巧 éè¿å¦ä¸æ¹æ³ï¼å¯ä ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bE6Lr6M.html" rel="bookmark" class="title">tomcat连接超额导致网页无法打开</a>
					<div>
						问题描述 大家好,我想请教下高手们:我们做了个网站,用的是tomcat服务器,然后发布到网上运行了,当使用的客户数超过50或更多时,会导致网页无法打开,因为卡主了,如果人数少的话,完全没问题,很容易进 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2R4m4b.html" rel="bookmark" class="title">数据库 表 字段-怎样读取数据库表中的所有字段名，并分别存储于以这个表名为名字的表中</a>
					<div>
						问题描述 怎样读取数据库表中的所有字段名,并分别存储于以这个表名为名字的表中 怎样读取数据库表中的所有字段名,并分别存储于以这个表名为名字的表中 存储字段名的表的内容格式如下: 第一列存储行号,第二列 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqRgGkp.html" rel="bookmark" class="title">DBA不失业：云时代的数据库性能优化全攻略</a>
					<div>
						性能问题是数据库中最重要也是最迫切要解决的问题之一,随着业务的发展和数据的不断加增,用户对于系统的响应速度的要求越来越高.而归根结底就是要提高数据库系统的性能.对于大部分的DBA来说,性能优化并不是一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJAmN2p.html" rel="bookmark" class="title">et indow ext- GetDlgItem&lpar;IDC&rpar;-&amp;amp&semi;amp&semi;gt&semi;SetWindowText&lpar;strsampletime&rpar;</a>
					<div>
						问题描述 GetDlgItem(IDC)-&gt;SetWindowText(strsampletime) GetDlgItem(IDC_TIMES)-&gt;SetWindowText(strsam ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeRdvNb.html" rel="bookmark" class="title">紧急通知：各大网站关停彩票业务</a>
					<div>
						四地体彩中心从2月29日晚间停售部分网上彩票. 彩票昨日被贴上了&quot;严禁触网&quot;的&quot;封条&quot;.根据近日财政部民政部国家体育总局近日联合发布的&lt;彩票管理条例实施细 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDexNlb.html" rel="bookmark" class="title">浅谈几种建站方式的优劣</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 大多站长在谈到网站建设可能脱口而出 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnRxBZp.html" rel="bookmark" class="title">ASP&period;NET中验证控件的使用</a>
					<div>
						原文:ASP.NET中验证控件的使用 前言:     前几日,无奈用JS判断控件的有效性,发现的确是一件费力.费神的事情!特别是针对邮件格式.邮政编码等的关于正则表达式的JS验证(其中涉及正则表达式的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/baBqDnM.html" rel="bookmark" class="title">photoshop去除图片上的水印&lowbar;photoshop</a>
					<div>
						其实在光学的理论上来说,水印图片是可以完美还原的,我们这里不谈理论,只谈操作. 来看一个加了水印的图片. 要想去除水印,我们要确定两点,第一,水印的原始颜色是什么?第二,透明度是多少? 这两点确实是问 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mgw6rZM.html" rel="bookmark" class="title">张文义取代现任CEO王宁国，当选为公司新任执行董事</a>
					<div>
						摘要: 知情人士向记者透露,在7月2日紧急召开的董事会上,十多天前刚刚入选董事会的张文义取代现任CEO王宁国,当选为公司新任执行董事. 资料显示,现年64岁的张文义毕业于清华大学无 知情人士向记者透露 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvnZL1M.html" rel="bookmark" class="title">不知泛型为何可以这样写？请高手帮忙解释一下，谢谢</a>
					<div>
						问题描述 classTest&lt;TextendsInteger&gt;{publicIntegerf(Ta,Tb){returna+b;}}classTest{publicstaticvoidma ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwKL15z.html" rel="bookmark" class="title">小米旗下公司入股LBE安全大师 布局安全业务</a>
					<div>
						LBE安全大师股东信息 注册基本信息 DoNews 10月23日消息(记者 张琳)知情人士透露,http://www.aliyun.com/zixun/aggregation/36757.html&q ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXK9ZKM.html" rel="bookmark" class="title">JavaScript延时效果比较不错的&lowbar;javascript技巧</a>
					<div>
						[Ctrl+A 全选 注:如需引入外部Js需刷新才能执行]					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPlgklp.html" rel="bookmark" class="title">Yii使用CLinkPager分页实例详解&lowbar;php实例</a>
					<div>
						本文主要讲解了YII中使用CLinkPager分页的方法,这里我们采用物件的形式来定义分页: 首先在components中自定义LinkPager,并继承CLinkPager 具体代码如下: &lt; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5QEvDp.html" rel="bookmark" class="title">js中onload与onunload的使用示例&lowbar;javascript技巧</a>
					<div>
						引言: 今天周末没事,就想起前面自己做的一个B2C的电子商务平台,还有些一些地方没有完善,就想着完善,嗯,问题是这样的,在电子商务平台中有这样一个场景,我将购物车放置在Session中,使其在整个购物 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0Yxd8p.html" rel="bookmark" class="title">移动内部文件曝光 TD&plus;WIFI成09年战略重点之一</a>
					<div>
						1月5日消息,搜狐IT日前从中国移动内部了解到,中国移动今年将利用TD网络优势发展集团客户业务,主要工作是充分发挥TD+WiF i功能,满足集团客户内部办公需求.此外,内部文件中 提出,中国移动可以利 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJeG16p.html" rel="bookmark" class="title">十三五智慧医疗与健康服务业发展趋势</a>
					<div>
						2016年1月16日,由企业网D1Net和中国信息化发展战略与创新联盟联合举办的2016年北京部委央企及大型企业CIO年会在北京隆重举行,大咖云集,干货爆棚,围绕新IT架构和信息安全,CIO们碰撞思想 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pk7BZwp.html" rel="bookmark" class="title">空房危机还有多远</a>
					<div>
						在一个更长的时间维度来看,中国房价的上涨热潮总有一天要面对系统性危机. &lt;商业价值&gt;杂志 赵鑫|文 当一个行业的盈利赚钱效应,连买菜的大妈都知道,连路边骑三轮车的师傅都在摩拳擦掌想进去大捞 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlAwOVp.html" rel="bookmark" class="title">Memcached通信协议&lpar;中文版&rpar;</a>
					<div>
						memcached的客户端通过TCP连接与服务器通信(UDP协议的接口也可以使用,详细说明请参考&quot;UDP 协议&quot;部分).一个给定的运行中的memcached服务器在某个(可配置的) ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z433qqp.html" rel="bookmark" class="title">iPod产品线里售价最低廉的产品</a>
					<div>
						全金属的机身再加上苹果完美的做工让不少用户都对这款产品很感兴趣,并且作为iPod产品线里售价最低廉的产品也一直很受欢迎.目前该机2GB内存售价为358元,有意购买这款产品的朋友不妨到中国亚马逊					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.029 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
